To notify fiat deposit status.This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices. Applies to: PSP and Direct Client Request
Body Params application/json
{
"data": {
"amount": "10.00",
"createdAt": 1784536350000,
"currency": "USD",
"fiatDepositId": "DP2026072016320001",
"participantCode": "A0104989",
"payerBankSwiftCode": "SINGAPORE GULF BANK B.S.C. CLOSED",
"payerName": "Hook2 Test",
"receivingAccount": "00000000001424T",
"sourceAccount": "79011400000301",
"status": 2,
"statusInfo": ""
},
"eventType": "fiat.deposit.updated.v2",
"notificationId": "fd533a50-5de4-4965-b245-6fbf16e60c17"
}
Request Code Samples
curl --location 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"amount": "10.00",
"createdAt": 1784536350000,
"currency": "USD",
"fiatDepositId": "DP2026072016320001",
"participantCode": "A0104989",
"payerBankSwiftCode": "SINGAPORE GULF BANK B.S.C. CLOSED",
"payerName": "Hook2 Test",
"receivingAccount": "00000000001424T",
"sourceAccount": "79011400000301",
"status": 2,
"statusInfo": ""
},
"eventType": "fiat.deposit.updated.v2",
"notificationId": "fd533a50-5de4-4965-b245-6fbf16e60c17"
}'
Responses
application/json
Modified at 2026-08-05 08:06:36